Subject: Re: [bug#43257] [PATCH] services: nfs: Require file-systems to be mounted before starting NFS shepherd service.

From: Danny Milosavljevic <[email-masked]>
Date: Wed, 9 Sep 2020 12:13:22 +0200

Hi Ludo,

On Wed, 09 Sep 2020 10:27:30 +0200
Ludovic Courtès <[email-masked]> wrote:

> Why do we need all of ‘file-systems’ rather than just the state file
> systems?

It really depends on what one uses it for, but for me it's this use case:

* I have an extra hard drive that contains things I want to serve via
NFS (it has nothing to do with the root file system).
* The extra hard drive has to be mounted when NFS service starts up,
otherwise exportfs errors out:
If I don't require "file-systems", even if that drive is listed in the
operating-system's file-systems list, it won't be mounted in time.

I ran into this problem when merging Stefan's 
new "nfs-root-fs" system test into gnu/tests/nfs.scm .

Does this make sense or is it the wrong solution?